KerberosDelegationTokenAuthenticationHandler (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.token.delegation.web, class: KerberosDelegationTokenAuthenticationHandler

Package org.apache.hadoop.security.token.delegation.web

# Class KerberosDelegationTokenAuthenticationHandler

java.lang.Object
org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationHandler
org.apache.hadoop.security.token.delegation.web.KerberosDelegationTokenAuthenticationHandler

All Implemented Interfaces:
  `org.apache.hadoop.security.authentication.server.AuthenticationHandler`

@Private @Evolving public class KerberosDelegationTokenAuthenticationHandler extends DelegationTokenAuthenticationHandler
An `AuthenticationHandler` that implements Kerberos SPNEGO mechanism for HTTP and supports Delegation Token functionality.

In addition to the `KerberosAuthenticationHandler` configuration properties, this handler supports:

- kerberos.delegation-token.token-kind: the token kind for generated tokens (no default, required property).
- kerberos.delegation-token.update-interval.sec: secret manager master key update interval in seconds (default 1 day).
- kerberos.delegation-token.max-lifetime.sec: maximum life of a delegation token in seconds (default 7 days).
- kerberos.delegation-token.renewal-interval.sec: renewal interval for delegation tokens in seconds (default 1 day).
- kerberos.delegation-token.removal-scan-interval.sec: delegation tokens removal scan interval in seconds (default 1 hour).

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationHandler

  `DELEGATION_TOKEN_UGI_ATTRIBUTE, JSON_MAPPER_PREFIX, PREFIX, TOKEN_KIND, TYPE_POSTFIX`

  ### Fields inherited from interface org.apache.hadoop.security.authentication.server.AuthenticationHandler

  `WWW_AUTHENTICATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KerberosDelegationTokenAuthenticationHandler()`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationHandler

  `authenticate, destroy, getType, init, initJsonFactory, initTokenManager, isManagementOperation, managementOperation, setExternalDelegationTokenSecretManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KerberosDelegationTokenAuthenticationHandler

    public KerberosDelegationTokenAuthenticationHandler()